Home   ·   Index   ·   Search

MultiTerm 2017 and previous versions


SDL MultiTerm 2017: Compatibility and versions
SDL MultiTerm 2017 is the active release of MultiTerm. SDL continues to support MultiTerm 2015 as the
mature release. However, following the release of MultiTerm 2017, SDL has moved MultiTerm 2014 to
a retired state. MultiTerm 2011 and 2009 have reach End-of-life and are no longer supported.
At STP, we use MultiTerm 2017

MultiTerm 2017 compatibility

MultiTerm Desktop 2017 runs alongside any version of MultiTerm Desktop 2015. If you want to use an older version, close your 2017 version and then open the older version manually from the Start menu.
MultiTerm 2017 is compatible with Passolo 2016 and Passolo 2015.